# GrpcWrapper (dapr-sdk-parent 1.10.0 API)

Package io.dapr.internal.opencensus

## Class GrpcWrapper

- java.lang.Object
- - io.dapr.internal.opencensus.GrpcWrapper

    public final class GrpcWrapper
    extends Object

Wraps a Dapr gRPC stub with telemetry interceptor.

### Method Summary

All Methods Static Methods Concrete Methods
`static DaprGrpc.DaprStub` `intercept​(reactor.util.context.ContextView context, DaprGrpc.DaprStub client)` Populates GRPC client with interceptors.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### intercept

    public static DaprGrpc.DaprStub intercept​(reactor.util.context.ContextView context,
                                              DaprGrpc.DaprStub client)

Populates GRPC client with interceptors.

Parameters:
  `context` - Reactor's context.
  `client` - GRPC client for Dapr.
Returns:
  Client after adding interceptors.